# Class BackgroundProcessManager

java.lang.Object
org.apache.tomcat.websocket.BackgroundProcessManager

public class BackgroundProcessManager extends Object
Provides a background processing mechanism that triggers roughly once a second. The class maintains a thread that only runs when there is at least one instance of `BackgroundProcess` registered.

## Method Summary

Modifier and Type
Method
Description
`static BackgroundProcessManager`
`getInstance()`
Returns the singleton instance of the BackgroundProcessManager.
`void`
`register(BackgroundProcess process)`
Registers a background process for periodic execution.
`void`
`unregister(BackgroundProcess process)`
Unregisters a previously registered background process.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static BackgroundProcessManager getInstance()
Returns the singleton instance of the BackgroundProcessManager.

Returns:
  the singleton instance

### register

public void register(BackgroundProcess process)
Registers a background process for periodic execution.

Parameters:
  `process` - the background process to register

### unregister

public void unregister(BackgroundProcess process)
Unregisters a previously registered background process.

Parameters:
  `process` - the background process to unregister